%global tar_version 4.1.7

Name: python-ovirt-engine-sdk4
Summary: Python SDK for version 4 of the oVirt Engine API
Version: 4.1.7
Release: 2%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://ovirt.org
Source: ovirt-engine-sdk-python-%{tar_version}.tar.gz

BuildRequires: gcc
BuildRequires: libxml2-devel
BuildRequires: python2-devel

Requires: libxml2
Requires: python
Requires: python-enum34
Requires: python-pycurl
Requires: python-six

%description
This package contains the Python SDK for version 4 of the oVirt Engine
API.

%prep
%setup -q -n ovirt-engine-sdk-python-%{tar_version}

%build
%py2_build

%install
%py2_install

%files
%doc README.adoc
%doc examples
%license LICENSE.txt
%{python2_sitearch}/*

%changelog
* Tue Jan 31 2017 Ondra Machacek <omachace@redhat.com> - 4.1.0-1
- Update to model 4.1.29 and metamodel 1.1.10.
- Improved examples and documentation.
- Add new lease attribute to virtual machines and templates.
- Add execution_host link to the Step type.
- Add initial_size attribute to the Disk type.
- Add succeeded parameter to the operation that end an external job. 

* Tue Jan 09 2017 Ondra Machacek <omachace@redhat.com> - 4.1.0-0.1.a1
- Fix writing 'id' attribute for enum values
- Raise SDK error for unknown tags
- Update to model 4.1.24 and metamodel 1.1.9
- Check return code of the HTTP reponses

* Tue Nov 15 2016 Ondra Machacek <omachace@redhat.com> - 4.0.4-1
- Use COPYPOSTFIELDS for HTTP POST data #1392878.
- Add examples to the RPM packages.
- Accept 200 code for 'Add' methods.
- Add missing `template` and `storage_domain` parameters to the
  operation that imports an image.
- Add the `next_run` parameter to the operation that updates a virtual
  machine.
- Add the `all_content` parameters to the operations that list and
  retrieve virtual machines.
- Fix building of SDK on Mac OS environment.

* Tue Sep 27 2016 Ondra Machacek <omachace@redhat.com> 4.0.2-1
- Update to model 4.0.35 and metmodel 1.0.20.
- Add the `sparsify` method to `DiskService`.
- Add the `discardMaxSize` and `discardZeroesData` to the `LogicalUnit` type.
- Add services to support disk attachments of virtual machines available
  for import from storage domains.
- Fix the type of the `ticket` parameter of the `VmService.ticket` method.
- Fix the type of the `authentication_method` attribute of the `Ssh` type.
- Rename the `AuthenticationMethod` enum type to `SshAuthenticationMethod`.
- Fix the name of the `exclusive` parameter o the `TemplateService.export`
  method.
- Add the missing `cluster` parameter to the `OpenstackImageService.import`
  method.
- Empty list is not written to XML.
- Fix generating of singular and plural tag names.

* Tue Sep 06 2016 Ondra Machacek <omachace@redhat.com> 4.0.1-1
- Update to model 4.0.33.
- Add the `custom_scheduling_policy_properties` attribute to the `Cluster`
  type.
- Add services and types to support transfer of images.
- Remove the `add` and `remove` operations of virtual machine CDROMs.
- Fix the type of the `usages` attribute of the `Network` type, it
  should be a list of values of the `NetworkUsage` enum, not a list
  of strings.
- Fix reading of lists of elements #1373431.
- Accept `action` and `fault` from actions.
- Fix reading of list of primitive and enum types.
- Avoid of reading fault response in case response body is empty.

* Mon Aug 29 2016 Ondra Machacek <omachace@redhat.com> 4.0.0-1
- Catch Unicode encode and decode exceptions

* Mon Aug 22 2016 Juan Hernandez <juan.hernandez@redhat.com> 4.0.0-0.6.a6
- Use POST method to send SSO credentials #1368385.
- Name element tag by the entity which is written.
- Name plural element tag same as member.
- Send query parameters for add/update methods.
- Update to model 4.0.32.
- Add the `clone_permissions` parameter to the operations that add virtual
  machines and templates.
- Add the `clone` parameter to the operation that adds a new virtual
  machine.
- Add the `ad_partner_mac` attribute to the bonding type.
- Add the `ad_aggregator_id` attribute to the host NIC type.
- Add the `upgradecheck` action to the host service.
- Add the `ExternalVmImportsService` and related types.
- Use correct writer for services actions.
- Use Python logging.
- Add option to not revoke token when closing connection.
- Add support to pass SSO token to SDK connection.
- Support /v4 suffix in API URL.

* Tue Jul 19 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.5.a5
- Update to model 4.0.28.
- Added `switch_type` attribute to `Host` type.
- Add `permits` to the cluster level type.
- Add the `current` parameter to the virtual machine graphics consoles service.
- Fix the name of the output parameter of the method to list affinity
  groups, should be `groups` instead of `list`.

* Fri Jun 24 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.1
- Fixed missing python-six and python-enum34 dependency rhbz#1349774

* Mon Mar 28 2016 Juan Hernandez <juan.hernandez@redhat.com> - 4.0.0
- Initial packaging.
